eID middleware |

# be.portugal.eid.PTEID_PinUsage Class Reference

Class that holds the different PIN uasage definitions. More...

List of all members.

## Public Member Functions
final int | swigValue ()
String | toString ()
## Static Public Member Functions
static PTEID_PinUsage | swigToEnum (int swigValue)
## Static Public Attributes
static final PTEID_PinUsage | PTEID_PIN_USG_UNKNOWN = new PTEID_PinUsage("PTEID_PIN_USG_UNKNOWN")
| Pin usage unknown.
static final PTEID_PinUsage | PTEID_PIN_USG_AUTH = new PTEID_PinUsage("PTEID_PIN_USG_AUTH")
| Pin usage authentication.
static final PTEID_PinUsage | PTEID_PIN_USG_SIGN = new PTEID_PinUsage("PTEID_PIN_USG_SIGN")
| Pin usage signature.
static final PTEID_PinUsage | PTEID_PIN_USG_ADDRESS = new PTEID_PinUsage("PTEID_PIN_USG_ADDRESS")
| Pin usage address.

## Detailed Description

Class that holds the different PIN uasage definitions.

## Member Function Documentation

static PTEID_PinUsage be.portugal.eid.PTEID_PinUsage.swigToEnum | ( | int | swigValue | ) | `[static]`

Referenced by be.portugal.eid.PTEID_Pin.getUsageCode().

final int be.portugal.eid.PTEID_PinUsage.swigValue | ( |  | ) |

String be.portugal.eid.PTEID_PinUsage.toString | ( |  | ) |

## Member Data Documentation

final PTEID_PinUsage be.portugal.eid.PTEID_PinUsage.PTEID_PIN_USG_ADDRESS = new PTEID_PinUsage("PTEID_PIN_USG_ADDRESS")`[static]`

Pin usage address.

final PTEID_PinUsage be.portugal.eid.PTEID_PinUsage.PTEID_PIN_USG_AUTH = new PTEID_PinUsage("PTEID_PIN_USG_AUTH")`[static]`

Pin usage authentication.

final PTEID_PinUsage be.portugal.eid.PTEID_PinUsage.PTEID_PIN_USG_SIGN = new PTEID_PinUsage("PTEID_PIN_USG_SIGN")`[static]`

Pin usage signature.

final PTEID_PinUsage be.portugal.eid.PTEID_PinUsage.PTEID_PIN_USG_UNKNOWN = new PTEID_PinUsage("PTEID_PIN_USG_UNKNOWN")`[static]`

Pin usage unknown.